Skip to main content
`Ctrl`+`K`

# DMDACreatePF

Creates an appropriately dimensioned `PF` mathematical function object from a `DMDA`.

## Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDACreatePF(DM da, PF *pf)

Collective; No Fortran Support

## Input Parameter

- da - initial distributed array

## Output Parameter

- pf - the mathematical function object

## See Also

`DM`, `PF`, `DMDA`, `DMDACreate1d()`, `DMDACreate2d()`, `DMDACreate3d()`, `DMDestroy()`, `DMCreateGlobalVector()`

## Level

advanced

## Location

src/dm/impls/da/dapf.c

## Examples

src/dm/tutorials/ex4.c

Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages